%bcond_without check

%global goipath         github.com/markbates/safe
Version:                1.0.1

%gometa

%global common_description %{expand:
Safe for Go.}

%global golicenses      LICENSE
%global godocs          shoulders.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Safe for Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-1
- initial build
